Bug 1109080 - Re-schedule operation fails if example schedule was run before an operation definition change in plugin descriptor
Summary: Re-schedule operation fails if example schedule was run before an operation d...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.12
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ---
: RHQ 4.12
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-13 08:23 UTC by Thomas Segismont
Modified: 2014-12-15 11:36 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-15 11:36:29 UTC


Attachments (Terms of Use)

Description Thomas Segismont 2014-06-13 08:23:17 UTC
Description of problem:


Version-Release number of selected component (if applicable):
4.12-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1.Schedule a resource operation
2.Change the resource operation definition in the plugin descriptor (add a parameter)
3.Reload the plugin
4.Try to re-schedule the resource operation

Actual results:
The schedule operation view is shown with a "Globally Uncaught Exception" popup message.

Expected results:
The schedule operation view is shown without errors

Additional info:
Re-schedule operation button was introduced in:
commit eec442cf415c70ecf88814327c8301fc2575297b
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Sat Apr 12 15:10:08 2014 +0200

Comment 1 Thomas Segismont 2014-06-16 15:14:05 UTC
Fixed in master

commit 637c915a7f22f222f1ad45c260e5f4cd437819d5
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Jun 16 17:12:13 2014 +0200

Check if example parameters are null or pass validation.
Show warning message otherwise

Comment 2 Heiko W. Rupp 2014-12-15 11:36:29 UTC
Bulk close of items fixed in RHQ 4.12

If you think this is not solved, then please open a *new* BZ and link to this one.


Note You need to log in before you can comment on or make changes to this bug.